Subject: Re: [Dime] One more DISCUSS on dime-qos-parameters

From: "Hannes Tschofenig" <[email-masked]>
Date: Sun, 1 Mar 2009 15:29:57 +0200

Hi Dave, 

Thank you for your review. 

> David Ward:
> Discuss:
> [2009-02-26] Fundamentally this seems to be an interface for 
> configuring a 2 rate 3-color marker and other QoS behavior.

Additionally, I have to mention that AAA protocols provide more
capabilities, including accounting for resource usage and authorization. 

> I don't 
> understand why the policer is defined in absolute bandwidth in this 
> draft and doesn't include percentage.

Because it matches the generic specifier in RFC 2215.  Nobody had
requirements for expressing percentage values. Are there QoS specifiers
based on percentage defined somewhere in current RFCs?

>  Also on the usage of Bandwidth AVP, is it merely a
> different unit of measurement from the Rate parameter in the TMOD AVP ?
> It would be good to clarify.

No, it is the same unit but is intended to be used in a separate context.
Arguably you could use the same AVP but the feedback we got was to keep the
semantic as simple as possible to make the life for those who use the system
easier. Given that there is no shortage of AVPs in Diameter we did not see a
problem with this approach. 

> 
> For the Priority AVP, is it to be used with RSVP for on-path CAC or 
> for local CAC decision or something else?  It would be good to provide 
> some background information in the draft.
> 
Diameter (and RADIUS for that matter) don't care too much where the
information actually came from. It could be a link layer protocol, some
configuration mechanism or also RSVP/NSIS. 

This draft defines the parameters and there is a separate document
(http://www.ietf.org/internet-drafts/draft-ietf-dime-qos-attributes-11.txt)
that discusses the usage of the QoS parameters in context of Diameter AVP,
without going too much into details on what the AAA server could do with
each parameter. There are typically many options, such as logging,
accounting, authorization, statistical analysis, charging, etc. Btw, more
information regarding the priority element is provided in RFC 3181.

I hope I was able to address your questions. 

Ciao
Hannes

>-----Original Message-----
>From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
>Sent: 26 February, 2009 18:44
>To: jouni korhonen; Jouni Korhonen; Hannes Tschofenig; 
>[email-masked]
>Cc: [email-masked]
>Subject: One more DISCUSS on dime-qos-parameters
>
>Please address this DISCUSS as well. 
>
>Dan
>
>
>David Ward:
>Discuss:
>[2009-02-26] Fundamentally this seems to be an interface for 
>configuring a 2 rate 3-color marker and other QoS behavior. I 
>don't understand why the policer is defined in absolute 
>bandwidth in this draft and doesn't include percentage. Also 
>on the usage of Bandwidth AVP, is it merely a different unit 
>of measurement from the Rate parameter in the TMOD AVP ?
>It would be good to clarify.
>
>For the Priority AVP, is it to be used with RSVP for on-path 
>CAC or for local CAC decision or something else?  It would be 
>good to provide some background information in the draft.
>